Get the detailed execution status of an electricity energy prices job
curl --request GET \
--url https://api.home.datanumia.com/api/v2/electricity-prices-jobs/{job-id}import requests
url = "https://api.home.datanumia.com/api/v2/electricity-prices-jobs/{job-id}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.home.datanumia.com/api/v2/electricity-prices-jobs/{job-id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.home.datanumia.com/api/v2/electricity-prices-jobs/{job-id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.home.datanumia.com/api/v2/electricity-prices-jobs/{job-id}"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.home.datanumia.com/api/v2/electricity-prices-jobs/{job-id}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.home.datanumia.com/api/v2/electricity-prices-jobs/{job-id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"_links": {
"self": {
"href": "https://<DATANUMIA_ROOT_URL>/electricity-prices-jobs/{job-id}"
}
},
"archive": "myOperationsArchive.tar.gz",
"state": {
"current": "DONE",
"history": "{\n \"SUBMITTED\" : \"2017-07-21T17:32:28Z\",\n \"IN_PROGRESS\" : \"2017-07-21T17:34:28Z\",\n \"DONE\" : \"2017-07-21T17:34:58Z\"\n}\n"
},
"report": {
"error": {
"code": "INVALID_ARCHIVE_FORMAT",
"message": "<string>"
},
"overview": {
"nbOperationsTotal": 146,
"nbOperationsOK": 146,
"nbOperationsKO": 0
},
"files": [
{
"file": "test.json",
"error": {
"code": "INVALID_FILE_FORMAT",
"message": "<string>"
},
"content": {
"elecStatus": "<unknown>"
}
}
]
}
}{
"errorCode": "<string>",
"errorDescription": "<string>"
}{
"errorCode": "<string>",
"errorDescription": "<string>"
}This response has no body data.This response has no body data.This response has no body data.Electricity energy prices Bulk
Get the detailed execution status of an electricity energy prices job
This url is used to download the JSON file containing the detailed execution status for the job.
A job can have the following states:
- ERROR
- DONE
- IN_PROGRESS
- SUBMITTED
Jobs are deleted from the Home system after 60 days
This API also returns the detailed execution status for jobs in DONE state.
GET
/
v2
/
electricity-prices-jobs
/
{job-id}
Get the detailed execution status of an electricity energy prices job
curl --request GET \
--url https://api.home.datanumia.com/api/v2/electricity-prices-jobs/{job-id}import requests
url = "https://api.home.datanumia.com/api/v2/electricity-prices-jobs/{job-id}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.home.datanumia.com/api/v2/electricity-prices-jobs/{job-id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.home.datanumia.com/api/v2/electricity-prices-jobs/{job-id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.home.datanumia.com/api/v2/electricity-prices-jobs/{job-id}"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.home.datanumia.com/api/v2/electricity-prices-jobs/{job-id}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.home.datanumia.com/api/v2/electricity-prices-jobs/{job-id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"_links": {
"self": {
"href": "https://<DATANUMIA_ROOT_URL>/electricity-prices-jobs/{job-id}"
}
},
"archive": "myOperationsArchive.tar.gz",
"state": {
"current": "DONE",
"history": "{\n \"SUBMITTED\" : \"2017-07-21T17:32:28Z\",\n \"IN_PROGRESS\" : \"2017-07-21T17:34:28Z\",\n \"DONE\" : \"2017-07-21T17:34:58Z\"\n}\n"
},
"report": {
"error": {
"code": "INVALID_ARCHIVE_FORMAT",
"message": "<string>"
},
"overview": {
"nbOperationsTotal": 146,
"nbOperationsOK": 146,
"nbOperationsKO": 0
},
"files": [
{
"file": "test.json",
"error": {
"code": "INVALID_FILE_FORMAT",
"message": "<string>"
},
"content": {
"elecStatus": "<unknown>"
}
}
]
}
}{
"errorCode": "<string>",
"errorDescription": "<string>"
}{
"errorCode": "<string>",
"errorDescription": "<string>"
}This response has no body data.This response has no body data.This response has no body data.Path Parameters
the job id of job to inspect
Query Parameters
The overview option return a global execution report about the job execution.
In addition, the details option returns a detailed execution report of each ran operation in the job
Available options:
overview, details